
import re
import os
import sys
import random
import time

def list_files_in_directory(directory):
    """
    列出指定目录下的所有文件名。

    :param directory: str, 要列出文件的目录路径
    :return: list, 包含目录中所有文件名的列表
    """
    try:
        files = os.listdir(directory)
        return [file for file in files if os.path.isfile(os.path.join(directory, file))]
    except FileNotFoundError:
        return []

